## python-ssdpy 0.4.1

=== Makefile ===
.PHONY: clean
clean:
	rm -rf dist \
		   ssdpy/__pycache__ \
		   ssdpy/*.pyc \
		   ssdpy.egg-info \
		   tests/*.pyc \
		   build


.PHONY: release
release: clean
	python setup.py sdist bdist_wheel
	twine upload dist/*

=== debian/changelog ===
python-ssdpy (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 12 Nov 2023 08:31:33 -0300

python-ssdpy (0.4.1-1) unstable; urgency=medium

  * Initial Package (Closes: #1016465)

 -- Ben Westover <me@benthetechguy.net>  Fri, 10 Nov 2023 22:48:24 -0500

=== debian/control ===
Source: python-ssdpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ben Westover <me@benthetechguy.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ssdpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ssdpy
Homepage: https://github.com/MoshiBin/ssdpy
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-ssdpy
Architecture: all
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Lightweight, compatible SSDP library for Python
 SSDPy is a lightweight implementation of SSDP (Simple Service Discovery
 Protocol). It is designed for ease of use and high compatibility with
 the protocol in real-life use. It supports both the IETF and UPnP
 versions of the protocol.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = ssdpy
export PYBUILD_DISABLE = test # Almost all tests require network

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs && python3 -m sphinx . ../debian/html

execute_after_dh_auto_clean:
	rm -rf debian/html

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/MoshiBin/ssdpy/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
